#!/bin/zsh

echo -n "Content-Type: text/html;charset=utf-8\n\n"

PAGE="$(echo "$_GET[\"page\"]" |egrep '^[a-zA-Z0-9_-]+$')"
PAGE="${_EXEC}/pages/${PAGE}.sh"
[ -x "$PAGE" ] || PAGE="${_EXEC}/pages/error.sh"

NAVIGATION() {
  for each in "${_EXEC}"/pages/*.sh; do
    link="$(echo "$each" |sed -r "s:^.*/([^/]*)\.sh$:\1:")"
    title="$($each title)"
    [ -n "$title" ] && echo "/?page=$link $title"
  done
}

. ${_EXEC}/templates/frame.html.sh
